object fmMain: TfmMain
  Left = 511
  Top = 144
  BorderStyle = bsSingle
  Caption = 'Bluetooth GATT Client Demo'
  ClientHeight = 732
  ClientWidth = 781
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = True
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object laCharVal: TLabel
    Left = 200
    Top = 272
    Width = 119
    Height = 13
    Caption = 'Characteristic value (hex)'
  end
  object laOperationFlag: TLabel
    Left = 512
    Top = 48
    Width = 66
    Height = 13
    Caption = 'Operation flag'
  end
  object laProtection: TLabel
    Left = 248
    Top = 48
    Width = 48
    Height = 13
    Caption = 'Protection'
  end
  object laSubscribeKind: TLabel
    Left = 104
    Top = 424
    Width = 73
    Height = 13
    Caption = 'Subscribe kind:'
  end
  object laWriteKind: TLabel
    Left = 592
    Top = 272
    Width = 51
    Height = 13
    Caption = 'Write kind:'
  end
  object laIoCap: TLabel
    Left = 544
    Top = 16
    Width = 33
    Height = 13
    Caption = 'IO Cap'
  end
  object laMitmProtection: TLabel
    Left = 264
    Top = 16
    Width = 28
    Height = 13
    Caption = 'MITM'
  end
  object btDiscover: TButton
    Left = 8
    Top = 8
    Width = 75
    Height = 25
    Caption = 'Discover'
    TabOrder = 0
    OnClick = btDiscoverClick
  end
  object lvDevices: TListView
    Left = 8
    Top = 72
    Width = 762
    Height = 73
    Columns = <
      item
        Caption = 'Address'
        Width = 150
      end
      item
        Caption = 'Name'
        Width = 150
      end
      item
        Caption = 'Device type'
        Width = 150
      end
      item
        Caption = 'Paired'
        Width = 80
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 1
    ViewStyle = vsReport
  end
  object lvEvents: TListView
    Left = 8
    Top = 592
    Width = 762
    Height = 97
    Columns = <
      item
        Caption = 'Address'
        Width = 100
      end
      item
        Caption = 'Event'
        Width = 150
      end
      item
        Caption = 'Param'
        Width = 150
      end
      item
        Caption = 'Value'
        Width = 150
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 2
    ViewStyle = vsReport
  end
  object btClearEvents: TButton
    Left = 695
    Top = 696
    Width = 75
    Height = 25
    Caption = 'Clear'
    TabOrder = 3
    OnClick = btClearEventsClick
  end
  object btConnect: TButton
    Left = 8
    Top = 152
    Width = 57
    Height = 25
    Caption = 'Connect'
    TabOrder = 4
    OnClick = btConnectClick
  end
  object btDisconnect: TButton
    Left = 72
    Top = 152
    Width = 73
    Height = 25
    Caption = 'Disconnect'
    TabOrder = 5
    OnClick = btDisconnectClick
  end
  object lvServices: TListView
    Left = 8
    Top = 184
    Width = 762
    Height = 73
    Columns = <
      item
        Caption = 'UUID'
        Width = 200
      end
      item
        Caption = 'Is short UUID'
        Width = 80
      end
      item
        Caption = 'Handle'
        Width = 100
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 6
    ViewStyle = vsReport
  end
  object btGetServices: TButton
    Left = 560
    Top = 152
    Width = 81
    Height = 25
    Caption = 'Get services'
    TabOrder = 7
    OnClick = btGetServicesClick
  end
  object btGetIncludedServices: TButton
    Left = 648
    Top = 152
    Width = 121
    Height = 25
    Caption = 'Get included services'
    TabOrder = 8
    OnClick = btGetIncludedServicesClick
  end
  object btGetCharacteristics: TButton
    Left = 8
    Top = 264
    Width = 113
    Height = 25
    Caption = 'Get characteristics'
    TabOrder = 9
    OnClick = btGetCharacteristicsClick
  end
  object lvCharacteristics: TListView
    Left = 8
    Top = 296
    Width = 762
    Height = 81
    Columns = <
      item
        Caption = 'UUID'
        Width = 200
      end
      item
        Caption = 'Is short UUID'
        Width = 80
      end
      item
        Caption = 'Service handle'
        Width = 90
      end
      item
        Caption = 'Handle'
        Width = 100
      end
      item
        Caption = 'Value handle'
        Width = 100
      end
      item
        Caption = 'Is broadcastable'
        Width = 80
      end
      item
        Caption = 'Is readable'
        Width = 80
      end
      item
        Caption = 'Is writable'
        Width = 80
      end
      item
        Caption = 'Is writable without response'
        Width = 80
      end
      item
        Caption = 'Is signed writable'
        Width = 80
      end
      item
        Caption = 'Is notifiable'
        Width = 80
      end
      item
        Caption = 'Is indicatable'
        Width = 80
      end
      item
        Caption = 'Has extended properties'
        Width = 80
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 10
    ViewStyle = vsReport
  end
  object btGetCharValue: TButton
    Left = 128
    Top = 264
    Width = 75
    Height = 25
    Caption = 'Get value'
    TabOrder = 11
    OnClick = btGetCharValueClick
  end
  object btGetDescriptors: TButton
    Left = 8
    Top = 384
    Width = 89
    Height = 25
    Caption = 'Get descriptors'
    TabOrder = 12
    OnClick = btGetDescriptorsClick
  end
  object lvDescriptors: TListView
    Left = 8
    Top = 448
    Width = 762
    Height = 65
    Columns = <
      item
        Caption = 'UUID'
        Width = 200
      end
      item
        Caption = 'Is short UUID'
        Width = 80
      end
      item
        Caption = 'Service handle'
        Width = 80
      end
      item
        Caption = 'Characteristic handle'
        Width = 80
      end
      item
        Caption = 'Handle'
        Width = 100
      end
      item
        Caption = 'Type'
        Width = 100
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 13
    ViewStyle = vsReport
  end
  object btGetDescValue: TButton
    Left = 8
    Top = 416
    Width = 89
    Height = 25
    Caption = 'Get value'
    TabOrder = 14
    OnClick = btGetDescValueClick
  end
  object lvDescriptorValue: TListView
    Left = 8
    Top = 520
    Width = 762
    Height = 65
    Columns = <
      item
        Caption = 'Property name'
        Width = 200
      end
      item
        Caption = 'Property value'
        Width = 200
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 15
    ViewStyle = vsReport
  end
  object btSetValue: TButton
    Left = 504
    Top = 264
    Width = 75
    Height = 25
    Caption = 'Set value'
    TabOrder = 16
    OnClick = btSetValueClick
  end
  object edCharVal: TEdit
    Left = 328
    Top = 264
    Width = 169
    Height = 21
    TabOrder = 17
    Text = '00FFAA00'
  end
  object btSubscribe: TButton
    Left = 336
    Top = 384
    Width = 75
    Height = 25
    Caption = 'Subscribe'
    TabOrder = 18
    OnClick = btSubscribeClick
  end
  object btUnsubscribe: TButton
    Left = 336
    Top = 416
    Width = 75
    Height = 25
    Caption = 'Unsubscribe'
    TabOrder = 19
    OnClick = btUnsubscribeClick
  end
  object cbOperationFlag: TComboBox
    Left = 592
    Top = 40
    Width = 177
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    ItemIndex = 0
    TabOrder = 20
    Text = 'None'
    Items.Strings = (
      'None'
      'Force Read From Device'
      'Force Read From Cache')
  end
  object btCCCDSubscribe: TButton
    Left = 416
    Top = 384
    Width = 137
    Height = 25
    Caption = 'Write CCCD subscribe'
    TabOrder = 21
    OnClick = btCCCDSubscribeClick
  end
  object btCCCDUnsubscribe: TButton
    Left = 416
    Top = 416
    Width = 137
    Height = 25
    Caption = 'Write CCCD unsubscribe'
    TabOrder = 22
    OnClick = btCCCDUnsubscribeClick
  end
  object btTerminate: TButton
    Left = 88
    Top = 8
    Width = 75
    Height = 25
    Caption = 'Terminate'
    TabOrder = 23
    OnClick = btTerminateClick
  end
  object cbProtection: TComboBox
    Left = 304
    Top = 40
    Width = 201
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    ItemIndex = 0
    TabOrder = 24
    Text = 'None'
    Items.Strings = (
      'None'
      'Authentication'
      'Encryption'
      'Encryption And Authentication')
  end
  object cbConnectOnRead: TCheckBox
    Left = 152
    Top = 167
    Width = 97
    Height = 17
    Caption = 'Connect on read'
    TabOrder = 25
  end
  object btPair: TButton
    Left = 8
    Top = 40
    Width = 73
    Height = 25
    Caption = 'Pair'
    TabOrder = 26
    OnClick = btPairClick
  end
  object cbFastSubscribe: TCheckBox
    Left = 104
    Top = 392
    Width = 97
    Height = 17
    Caption = 'Fast subscribe'
    TabOrder = 27
    OnClick = cbFastSubscribeClick
  end
  object cbForceIndications: TCheckBox
    Left = 152
    Top = 150
    Width = 97
    Height = 17
    Caption = 'Force indications'
    TabOrder = 28
  end
  object btGetParams: TButton
    Left = 256
    Top = 152
    Width = 75
    Height = 25
    Caption = 'Get params'
    TabOrder = 29
    OnClick = btGetParamsClick
  end
  object cbParams: TComboBox
    Left = 344
    Top = 152
    Width = 129
    Height = 22
    Style = csOwnerDrawFixed
    ItemHeight = 16
    ItemIndex = 0
    TabOrder = 30
    Text = 'Balanced'
    Items.Strings = (
      'Balanced'
      'PowerOptimized'
      'ThroughputOptimized'
      'Custom')
  end
  object btSetParams: TButton
    Left = 480
    Top = 152
    Width = 75
    Height = 25
    Caption = 'Set params'
    TabOrder = 31
    OnClick = btSetParamsClick
  end
  object btGetMaxPduSize: TButton
    Left = 592
    Top = 384
    Width = 89
    Height = 25
    Caption = 'Max PDU size'
    TabOrder = 32
    OnClick = btGetMaxPduSizeClick
  end
  object btPhy: TButton
    Left = 592
    Top = 416
    Width = 89
    Height = 25
    Caption = 'Get PHY'
    TabOrder = 33
    OnClick = btPhyClick
  end
  object cbSubscribeKind: TComboBox
    Left = 184
    Top = 416
    Width = 145
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    ItemIndex = 2
    TabOrder = 34
    Text = 'Manual'
    Items.Strings = (
      'Notification'
      'Indication'
      'Manual')
  end
  object cbWriteKind: TComboBox
    Left = 648
    Top = 264
    Width = 121
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    ItemIndex = 2
    TabOrder = 35
    Text = 'Auto'
    Items.Strings = (
      'With Response'
      'Without Response'
      'Auto')
  end
  object cbIoCap: TComboBox
    Left = 592
    Top = 8
    Width = 177
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    ItemIndex = 1
    TabOrder = 36
    Text = 'iocapDisplayYesNo'
    Items.Strings = (
      'iocapDisplayOnly'
      'iocapDisplayYesNo'
      'iocapKeyboardOnly'
      'iocapNoInputNoOutput'
      'iocapDisplayKeyboard'
      'iocapNotDefined')
  end
  object cbMitmProtection: TComboBox
    Left = 304
    Top = 8
    Width = 201
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    ItemIndex = 0
    TabOrder = 37
    Text = 'mitmProtectionNotRequired'
    Items.Strings = (
      'mitmProtectionNotRequired'
      'mitmProtectionRequired'
      'mitmProtectionNotRequiredBonding'
      'mitmProtectionRequiredBonding'
      'mitmProtectionNotRequiredGeneralBonding'
      'mitmProtectionRequiredGeneralBonding'
      'mitmProtectionNotDefined')
  end
  object btEnumPaired: TButton
    Left = 168
    Top = 8
    Width = 75
    Height = 25
    Caption = 'Enum paired'
    TabOrder = 38
    OnClick = btEnumPairedClick
  end
  object btUnpair: TButton
    Left = 88
    Top = 40
    Width = 75
    Height = 25
    Caption = 'Unpair'
    TabOrder = 39
    OnClick = btUnpairClick
  end
  object wclBluetoothManager: TwclBluetoothManager
    OnAuthenticationCompleted = wclBluetoothManagerAuthenticationCompleted
    OnConfirm = wclBluetoothManagerConfirm
    OnDeviceFound = wclBluetoothManagerDeviceFound
    OnDiscoveringCompleted = wclBluetoothManagerDiscoveringCompleted
    OnDiscoveringStarted = wclBluetoothManagerDiscoveringStarted
    OnIoCapabilityRequest = wclBluetoothManagerIoCapabilityRequest
    OnNumericComparison = wclBluetoothManagerNumericComparison
    OnPasskeyNotification = wclBluetoothManagerPasskeyNotification
    OnPasskeyRequest = wclBluetoothManagerPasskeyRequest
    OnPinRequest = wclBluetoothManagerPinRequest
    Left = 120
    Top = 208
  end
  object wclGattClient: TwclGattClient
    OnCharacteristicChanged = wclGattClientCharacteristicChanged
    OnConnect = wclGattClientConnect
    OnConnectionParamsChanged = wclGattClientConnectionParamsChanged
    OnConnectionPhyChanged = wclGattClientConnectionPhyChanged
    OnDisconnect = wclGattClientDisconnect
    OnMaxPduSizeChanged = wclGattClientMaxPduSizeChanged
    Left = 240
    Top = 208
  end
end
