object fmMain: TfmMain
  Left = 707
  Top = 185
  BorderStyle = bsSingle
  Caption = 'Bluetooth RFCOMM Client Demo'
  ClientHeight = 550
  ClientWidth = 514
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = True
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object laTimeout: TLabel
    Left = 224
    Top = 184
    Width = 38
    Height = 13
    Caption = 'Timeout'
  end
  object laMilliseconds: TLabel
    Left = 320
    Top = 184
    Width = 19
    Height = 13
    Caption = '(ms)'
  end
  object laReadBuffer: TLabel
    Left = 104
    Top = 248
    Width = 56
    Height = 13
    Caption = 'Read buffer'
  end
  object laWriteBuffer: TLabel
    Left = 264
    Top = 248
    Width = 55
    Height = 13
    Caption = 'Write buffer'
  end
  object btDiscover: TButton
    Left = 8
    Top = 8
    Width = 75
    Height = 25
    Caption = 'Discover'
    TabOrder = 0
    OnClick = btDiscoverClick
  end
  object btConnect: TButton
    Left = 352
    Top = 176
    Width = 75
    Height = 25
    Caption = 'Connect'
    TabOrder = 1
    OnClick = btConnectClick
  end
  object btDisconnect: TButton
    Left = 432
    Top = 176
    Width = 75
    Height = 25
    Caption = 'Disconnect'
    TabOrder = 2
    OnClick = btDisconnectClick
  end
  object lvDevices: TListView
    Left = 8
    Top = 48
    Width = 497
    Height = 89
    Columns = <
      item
        Caption = 'Address'
        Width = 150
      end
      item
        Caption = 'Name'
        Width = 150
      end
      item
        Caption = 'Device type'
        Width = 150
      end>
    ColumnClick = False
    GridLines = True
    HideSelection = False
    ReadOnly = True
    RowSelect = True
    TabOrder = 3
    ViewStyle = vsReport
  end
  object btClearEvents: TButton
    Left = 433
    Top = 519
    Width = 75
    Height = 25
    Caption = 'Clear'
    TabOrder = 4
    OnClick = btClearEventsClick
  end
  object edTimeout: TEdit
    Left = 272
    Top = 176
    Width = 41
    Height = 21
    TabOrder = 5
    Text = '10000'
  end
  object edText: TEdit
    Left = 8
    Top = 208
    Width = 417
    Height = 21
    TabOrder = 6
    Text = 'Send this text to selected client'
  end
  object btSend: TButton
    Left = 432
    Top = 208
    Width = 75
    Height = 25
    Caption = 'Send'
    TabOrder = 7
    OnClick = btSendClick
  end
  object edReadBuffer: TEdit
    Left = 168
    Top = 240
    Width = 81
    Height = 21
    TabOrder = 8
    Text = '0'
  end
  object edWriteBuffer: TEdit
    Left = 328
    Top = 240
    Width = 81
    Height = 21
    TabOrder = 9
    Text = '0'
  end
  object btSetBuffers: TButton
    Left = 432
    Top = 240
    Width = 75
    Height = 25
    Caption = 'Set buffers'
    TabOrder = 10
    OnClick = btSetBuffersClick
  end
  object lbEvents: TListBox
    Left = 8
    Top = 272
    Width = 497
    Height = 241
    ItemHeight = 13
    TabOrder = 11
  end
  object cbAuthentication: TCheckBox
    Left = 8
    Top = 184
    Width = 97
    Height = 17
    Caption = 'Authentication'
    TabOrder = 12
  end
  object cbEncryption: TCheckBox
    Left = 120
    Top = 184
    Width = 89
    Height = 17
    Caption = 'Encryption'
    TabOrder = 13
  end
  object btGetBuffers: TButton
    Left = 8
    Top = 240
    Width = 75
    Height = 25
    Caption = 'Get buffers'
    TabOrder = 14
    OnClick = btGetBuffersClick
  end
  object cbServiceName: TCheckBox
    Left = 8
    Top = 144
    Width = 113
    Height = 17
    Caption = 'Use service name'
    TabOrder = 15
  end
  object edServiceName: TEdit
    Left = 128
    Top = 144
    Width = 377
    Height = 21
    TabOrder = 16
    Text = 'Bluetooth Framework server'
  end
  object btPair: TButton
    Left = 240
    Top = 8
    Width = 75
    Height = 25
    Caption = 'Pair'
    TabOrder = 17
    OnClick = btPairClick
  end
  object cbEnumPaired: TCheckBox
    Left = 96
    Top = 16
    Width = 97
    Height = 17
    Caption = 'Enum paired'
    TabOrder = 18
  end
  object btUnpair: TButton
    Left = 320
    Top = 8
    Width = 75
    Height = 25
    Caption = 'Unpair'
    TabOrder = 19
    OnClick = btUnpairClick
  end
  object wclRfCommClient: TwclRfCommClient
    OnConnect = wclRfCommClientConnect
    OnData = wclRfCommClientData
    OnDisconnect = wclRfCommClientDisconnect
    Left = 144
    Top = 72
  end
  object wclBluetoothManager: TwclBluetoothManager
    OnAuthenticationCompleted = wclBluetoothManagerAuthenticationCompleted
    OnConfirm = wclBluetoothManagerConfirm
    OnDeviceFound = wclBluetoothManagerDeviceFound
    OnDiscoveringCompleted = wclBluetoothManagerDiscoveringCompleted
    OnDiscoveringStarted = wclBluetoothManagerDiscoveringStarted
    OnNumericComparison = wclBluetoothManagerNumericComparison
    OnPasskeyNotification = wclBluetoothManagerPasskeyNotification
    OnPasskeyRequest = wclBluetoothManagerPasskeyRequest
    OnPinRequest = wclBluetoothManagerPinRequest
    Left = 256
    Top = 72
  end
end
